Bug 1264225 - /bin/prince exit code: 127 error while downloading PDF reports
/bin/prince exit code: 127 error while downloading PDF reports
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Satoe Imaishi
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 19:34 EDT by Nandini Chandra
Modified: 2015-12-08 08:31 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:31:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-09-17 19:34:04 EDT
Description of problem:
----------------------
Unexpected error encountered on the UI while downloading a PDF report.

Error text:
/bin/prince exit code: 127 [ems_cloud/download_data]

Snippet from production.log:

[----] I, [2015-09-17T19:22:12.260566 #26977:b4b98c]  INFO -- : Started GET "/ems_infra/show/1?display=download_pdf" for 127.0.0.1 at 2015-09-17 19:22:12 -0400
[----] I, [2015-09-17T19:22:12.262829 #26977:b4b98c]  INFO -- : Processing by EmsInfraController#show as HTML
[----] I, [2015-09-17T19:22:12.263039 #26977:b4b98c]  INFO -- :   Parameters: {"display"=>"download_pdf", "id"=>"1"}
[----] I, [2015-09-17T19:22:12.744045 #26977:b4b98c]  INFO -- :   Rendered layouts/_pdf_styles.html.haml (6.3ms)
[----] I, [2015-09-17T19:22:12.822185 #26977:b4b98c]  INFO -- :   Rendered layouts/quadicon/_ext_management_system.html.haml (10.2ms)
[----] I, [2015-09-17T19:22:12.822511 #26977:b4b98c]  INFO -- :   Rendered layouts/_quadicon.html.haml (36.0ms)
[----] I, [2015-09-17T19:22:12.823260 #26977:b4b98c]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.1ms)
[----] I, [2015-09-17T19:22:12.853381 #26977:b4b98c]  INFO -- :   Rendered shared/summary/_textual.html.haml (29.8ms)
[----] I, [2015-09-17T19:22:12.855893 #26977:b4b98c]  INFO -- :   Rendered shared/summary/_textual_multivalue.html.haml (0.2ms)
[----] I, [2015-09-17T19:22:12.856093 #26977:b4b98c]  INFO -- :   Rendered shared/summary/_textual.html.haml (2.1ms)
[----] I, [2015-09-17T19:22:12.921015 #26977:b4b98c]  INFO -- :   Rendered shared/summary/_textual.html.haml (64.6ms)[----] I, [2015-09-17T19:22:12.744045 #26977:b4b98c]  INFO -- :   Rendered layouts/_pdf_styles.html.haml (6.3ms)
[----] I, [2015-09-17T19:22:12.822185 #26977:b4b98c]  INFO -- :   Rendered layouts/quadicon/_ext_management_system.html.haml (10.2ms)
[----] I, [2015-09-17T19:22:12.822511 #26977:b4b98c]  INFO -- :   Rendered layouts/_quadicon.html.haml (36.0ms)
[----] I, [2015-09-17T19:22:12.823260 #26977:b4b98c]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.1ms)
[----] I, [2015-09-17T19:22:12.853381 #26977:b4b98c]  INFO -- :   Rendered shared/summary/_textual.html.haml (29.8ms)
[----] I, [2015-09-17T19:22:12.855893 #26977:b4b98c]  I
[----] I, [2015-09-17T19:22:12.923211 #26977:b4b98c]  INFO -- :   Rendered shared/summary/_textual_tags.html.haml (1.8ms)
[----] I, [2015-09-17T19:22:12.923374 #26977:b4b98c]  INFO -- :   Rendered shared/views/ems_common/_main.html.haml (100.3ms)
[----] I, [2015-09-17T19:22:12.923508 #26977:b4b98c]  INFO -- :   Rendered ems_infra/_main.html.haml (100.7ms)
[----] I, [2015-09-17T19:22:12.923610 #26977:b4b98c]  INFO -- :   Rendered layouts/_show_pdf.html.haml (230.1ms)
[----] I, [2015-09-17T19:22:12.923708 #26977:b4b98c]  INFO -- :   Rendered layouts/show_pdf.html.haml (260.9ms)
[----] F, [2015-09-17T19:22:14.438751 #26977:b4b98c] FATAL -- : Error caught: [AwesomeSpawn::CommandResultError] /bin/prince exit code: 127
/opt/rh/cfme-gemset/gems/awesome_spawn-1.3.0/lib/awesome_spawn.rb:102:in `run!'
/var/www/miq/vmdb/lib/pdf_generator/prince_pdf_generator.rb:34:in `pdf_from_string'
/var/www/miq/vmdb/lib/pdf_generator.rb:11:in `pdf_from_string'
/var/www/miq/vmdb/app/controllers/application_controller.rb:679:in `set_summary_pdf_data'
/var/www/miq/vmdb/app/controllers/ems_common.rb:20:in `show'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'



Version-Release number of selected component (if applicable):
--------------------
CFME 5.5


How reproducible:
----------------
Always


Steps to Reproduce:
------------------
There may be other ways to reproduce the issue,but this is how I reproduced the issue.
1.Navigate to the summary page of a provider.
2.Download the summary data in PDF format.



Actual results:
--------------
Error occurs.


Expected results:
----------------
Error shouldn't occur.


Additional info:
----------------
Comment 4 Nandini Chandra 2015-09-28 13:30:14 EDT
Tested the latest 5.5 build,5.5.0.2.

Issue exists in the 5.5.0.2  build as well.
Comment 7 Satoe Imaishi 2015-09-29 10:09:39 EDT
The path is fixed in prince-9.0r2-10.
Comment 8 Nandini Chandra 2015-10-23 11:31:03 EDT
Verified in 5.5.0.5
Comment 10 errata-xmlrpc 2015-12-08 08:31:13 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.